protocols / AbstractStateReplacementProtocol / Handshake

# Handshake

`data class Handshake : PartyRequestMessage`

### Constructors

<init> | `Handshake(sessionIdForSend: Long, replyToParty: Party, sessionID: Long)`

### Properties

replyToParty | `val replyToParty: Party`
sessionID | `val sessionID: Long`
sessionIdForSend | `val sessionIdForSend: Long`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`